<?php
include("../sistem/cfg.dat");
include("../sistem/cfg_forum.dat");
include("../sistem/global.dat");


if(isset($_GET['r'])){$r = $_GET['r'];}
$r=htmlspecialchars($r);

if (eregi("[^0-9]" , $r ))
{
   include("../temes/$teme/verh.dat");
   echo'<div class="razd"><B>Форум</B></div>';
   echo'запрещённые символы<br>';
}else
{
   if (file_exists("../data/forum/$r.razd") && file_exists("../data/forum/$r.temes"))
   {
      $cfg_razd = file_get_contents("../data/forum/$r.razd");
      $cfg_razd = explode("<||>",$cfg_razd);
      
      $title = $cfg_razd[0];
      include("../temes/$teme/verh.dat");
      echo'<div class="razd"><B>Форум</B></div>';
      echo'<a href="index.php?">Форумы</a>|<a href="new_temes.php?r='.$r.'&amp;'.SID.'">Новая тема</a><br>';
      echo'<div class="sob"><B>'.$cfg_razd[0].'</B></div>';
      //закончили показывать название раздела
      
      
      //вывод тем
      $str = file("../data/forum/$r.temes");
      $str = array_reverse($str);//перевернули масив
      $nom = count($str);
      
      //начало новой навигации
      if(isset($_GET['nom_page']) && ($_GET['nom_page'] != "")){$nom_page = $_GET['nom_page'];}else{ $nom_page = "1"; }
      if(eregi("[^0-9]" , $nom_page )){ $nom_page = "1"; }
      $asd = $nom_page - 1;
      $i= $asd * $nav_forum_tem;
      $var = $i+$nav_forum_tem;
      if($nom < $i){ $var = 0; echo'Страница не найдена!<br>'; }
      
      
      //=====================выводим закрепленные и закрытые темы============//
      
      if($nom_page == "1")
      {
         $z = "0";
         $var2 = $nom;
         while($z < $var2)
         {
            if($z < $nom)
            {
               $arr=explode("<||>",$str[$z]);
               
               //Выводим закреплённые и закрытые темы
       	       if($arr[0] == "zacrep_clos")
      	       {
      	          $cfg_tem = file_get_contents("../data/forum/$arr[1].tem");
                  $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      	          echo'<div class="ramk"><div class="sob">'.$img_forum_teme.'<B><font COLOR="#FF0000">!#</font></B><a href="topik.php?t='.$arr[1].'&amp;'.SID.'"><B>'.$cfg_tem[2].'</B></a> ['.$cfg_tem[3].']';
      	          if($status=="moder" || $status=="admin")
      	          {
      	             echo'<a href="addtemes.php?t='.$arr[1].'&amp;param_member=temes_menu&amp;'.SID.'">[i]</a>';
      	          }
      	          echo'</div>';
      	          echo''.$cfg_tem[4].'<br>';
      	          echo'Посл. соб - <a href="../pages/my_menu.php?act=anket&amp;if_uzer='.$cfg_tem[5].'&amp;'.SID.'"><B>'.$cfg_tem[5].'</B></a>';
      	          echo'</div>';
      	       }
               
               //Выводим закреплённые темы
      	       if($arr[0] == "zacrep")
      	       {
      	          $cfg_tem = file_get_contents("../data/forum/$arr[1].tem");
                  $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      	          echo'<div class="ramk"><div class="sob">'.$img_forum_teme.'<B><font COLOR="#FF0000">!</font></B><a href="topik.php?t='.$arr[1].'&amp;'.SID.'"><B>'.$cfg_tem[2].'</B></a> ['.$cfg_tem[3].']';
      	          if($status=="moder" || $status=="admin")
      	          {
      	             echo'<a href="addtemes.php?t='.$arr[1].'&amp;param_member=temes_menu&amp;'.SID.'">[i]</a>';
      	          }
      	          echo'</div>';
      	          echo''.$cfg_tem[4].'<br>';
      	          echo'Посл. соб - <a href="../pages/my_menu.php?act=anket&amp;if_uzer='.$cfg_tem[5].'&amp;'.SID.'"><B>'.$cfg_tem[5].'</B></a>';
      	          echo'</div>';
      	       }
            }
            ++$z;
         }
      }
      /////////////////////////////////////////////////////////////////////////////
      //=====================вывод активных и закрытых тем=======================//
      /////////////////////////////////////////////////////////////////////////////
      while($i < $var)
      {
         if($i < $nom)
         {
      	    $arr=explode("<||>",$str[$i]);
      	    
      	    //Выводим активные
      	    if($arr[0] == "activ")
      	    {
      	       $cfg_tem = file_get_contents("../data/forum/$arr[1].tem");
               $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      	       echo'<div class="ramk"><div class="sob">'.$img_forum_teme.'<a href="topik.php?t='.$arr[1].'&amp;'.SID.'"><B>'.$cfg_tem[2].'</B></a> ['.$cfg_tem[3].']';
      	       if($status=="moder" || $status=="admin")
      	       {
      	          echo'<a href="addtemes.php?t='.$arr[1].'&amp;param_member=temes_menu&amp;'.SID.'">[i]</a>';
      	       }
      	       echo'</div>';
      	       echo''.$cfg_tem[4].'<br>';
      	       echo'Посл. соб - <a href="../pages/my_menu.php?act=anket&amp;if_uzer='.$cfg_tem[5].'&amp;'.SID.'"><B>'.$cfg_tem[5].'</B></a>';
      	       echo'</div>';
      	    }
      	    
      	    //закрытые темы
      	    if($arr[0] == "clos")//закрытые темы
      	    {
      	       $cfg_tem = file_get_contents("../data/forum/$arr[1].tem");
               $cfg_tem = explode("<||>",$cfg_tem);//статус темы<||>номер раздела<||>Название темы<||>кол постов<||>дата посл сообщ<||>автор посл сообщ<||>
      	       echo'<div class="ramk"><div class="sob">'.$img_forum_teme.'<B><font COLOR="#FF0000">#</font></B><a href="topik.php?t='.$arr[1].'&amp;'.SID.'"><B>'.$cfg_tem[2].'</B></a> ['.$cfg_tem[3].']';
      	       if($status=="moder" || $status=="admin")
      	       {
      	          echo'<a href="addtemes.php?t='.$arr[1].'&amp;param_member=temes_menu&amp;'.SID.'">[i]</a>';
      	       }
      	       echo'</div>';
      	       echo''.$cfg_tem[4].'<br>';
      	       echo'Посл. соб - <a href="../pages/my_menu.php?act=anket&amp;if_uzer='.$cfg_tem[5].'&amp;'.SID.'"><B>'.$cfg_tem[5].'</B></a>';
      	       echo'</div>';
      	    }
         }
         ++$i;
      }
      
      //конец новой навигации
      $kol_page = ceil($nom / $nav_forum_tem); 
      
      //навигация вперёд, назад
      if("1" < $nom_page)
      {
         $nom_previous_page = $nom_page - 1;
         echo '<a href="temes.php?r='.$r.'&amp;nom_page='.$nom_previous_page.'&amp;'.SID.'">Назад</a>';
      }else{ echo 'Назад'; }
      echo'|';
      if($kol_page > $nom_page)
      {
         $nom_next_page = $nom_page + 1;
         echo '<a href="temes.php?r='.$r.'&amp;nom_page='.$nom_next_page.'&amp;'.SID.'">Далее</a>';
      }else{ echo 'Далее'; }
      echo'<br>';
      
      //навигация по номерам страниц
      $a = $nom_page - 3;
      $b = $nom_page +3;
      if($a > 1)
      {
         echo'<a href="temes.php?r='.$r.'&amp;nom_page=1&amp;'.SID.'">1</a> ';
         if($a > 2){ echo'... '; }
      }
      while($a <= $b)
      {
         if(($a > 0) && ($a <= $kol_page))
         {
            if($nom_page == $a)
            {
               echo'<b>('.$a.')</b> ';
            }else
            {
               echo'<a href="temes.php?r='.$r.'&amp;nom_page='.$a.'&amp;'.SID.'">'.$a.'</a> ';
            }
         }
         ++$a;
      }
      if($b < $kol_page)
      {
         if($b < ($kol_page - 1)){ echo'... '; }
         echo'<a href="temes.php?r='.$r.'&amp;nom_page='.$kol_page.'&amp;'.SID.'">'.$kol_page.'</a> ';
      }
      
      //конец вывода сообщений
      
      
      if($nom == "0")
      {
         echo'<B>Темы ещё не созданы!</B><br>';
      }
      echo'<hr size="2" width="100%">';
   }else
   {
      include("../temes/$teme/verh.dat");
      echo'<div class="razd"><B>Форум</B></div>';
      echo'раздела не существует<br>';
   }
}
echo'<a href="index.php?">Форумы</a>|<a href="search.php?param_member=new&amp;'.SID.'">Популярные темы</a>|<a href="new_temes.php?r='.$r.'&amp;'.SID.'">Новая тема</a><br>';
echo'<a href="../index.php?'.SID.'">На главную</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>